
Foreman - Bug #25198

SearchBar results keyboard arrows navigation doesn't work properly

10/14/2018 04:38 PM - Ron Lavi

Status: Closed   

Priority: Normal   

Assignee: Ron Lavi   

Category: Web Interface   

Target version:    

Difficulty:  Fixed in Releases: 1.20.0

Triaged: No Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/6139

  

Description

Seems that the keyboard navigation doesn't work as expected:

- instead of first down-arrow click, the first list item is being selected only after two clicks.

- can't reach the last list element.

Related issues:

Related to Foreman - Feature #24040: Move the search box in Hardware Models t... Closed

Is duplicate of Foreman - Bug #25189: New searching functionality does not al... Resolved

Associated revisions

Revision 3707a3c8 - 10/15/2018 08:57 AM - Ron Lavi

fixes #25198 - Fix SearchBar keyboard navigation.

History

#1 - 10/14/2018 04:41 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/6139 added

#2 - 10/15/2018 08:57 AM - Tomer Brisker

- Fixed in Releases 1.20.0 added

#3 - 10/15/2018 08:57 AM - Tomer Brisker

- Category set to Web Interface

- Assignee set to Ron Lavi

#4 - 10/15/2018 09:00 AM - Tomer Brisker

- Related to Feature #24040: Move the search box in Hardware Models to a React component added

#5 - 10/15/2018 09:01 AM - Ron Lavi

- Status changed from Ready For Testing to Closed

Applied in changeset 3707a3c88ecd253c258c12a48cf4b8155feeb017.

#6 - 10/15/2018 12:57 PM - Ron Lavi

- Is duplicate of Bug #25189: New searching functionality does not allow arrow keys navigation added
